Subject: Re: [nfsv4] layout_types typo in rfc5661

From: Tom Haynes <[email-masked]>
Date: Thu, 3 May 2012 09:36:48 -0700

On Wed, Feb 22, 2012 at 12:02:23PM -0800, Benny Halevy wrote:
> Tom, it looks like there are a couple typos in rfc5661.
> the fattr4_fs_layout_types and fattr4_layout_types attributes, as
> called in rfc5662 are referred to as "fs_layout_type" and "layout_type"
> in sections 5.7, 5.12.1, and 5.12.5, respectively.
> Since they refer to a list of layout types the attr name better denote a plural.
> 
> Benny
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4

Benny,

I seem to have missed this originally.

5.7:

   | fs_layout_type     | 62 | layouttype4<>  | R   | Section 5.12.1   |
   | layout_type        | 64 | layouttype4<>  | R   | Section 5.12.5   |

So what are Attributes 62 and 64?

>From the XDR:
   /// const FATTR4_FS_LAYOUT_TYPE     = 62;
   /// const FATTR4_LAYOUT_TYPE        = 64;

So far everything is in agreement.

Before we leave this section, do we have another list of types in this table? Sure:

   | acl                | 12 | nfsace4<>      | R W | Section 6.2.1    |

with:

   /// const FATTR4_ACL                = 12;

So again the names match and they are singular, not plural.

What are the corresponding attribute typedefs?

   /// typedef nfsace4         fattr4_acl<>;
   /// typedef layouttype4     fattr4_fs_layout_types<>;
   /// typedef layouttype4     fattr4_layout_types<>;

So yes, there is a difference in the naming convention.i

We can't change anything in RFC5662. Whether we can change the text in RFC5661 depends
on whether the "Name" in column 1 of Table 3 is derived from the "const" or
"typedef" declarations from RFC5662. They SHOULD be the same.

Given the prior eample for the acl, fs_layout_type is just as valid as fs_layout_types.

So I'm leaning to not changing anything.

Thanks,
Tom

-- 
[email-masked], ex-cfb

---

From: <[email-masked]>
Date: Fri, 4 May 2012 14:29:49 -0400

> Given the prior eample for the acl, fs_layout_type is just as valid as fs_layout_types.

I would say that given that example, fs_layout_type_list (or fs_ltl) is just as valid 
as fs_layout_types.  fs_layout_type is unclear but it has the fact that it exists
going for it.

> So I'm leaning to not changing anything.

Given there's no clear right answer, I can understand that.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Tom Haynes
Sent: Thursday, May 03, 2012 12:37 PM
To: Benny Halevy
Cc: nfsv4 list
Subject: Re: [nfsv4] layout_types typo in rfc5661

Benny,

5.7:

with:

Thanks,
Tom

---

From: Benny Halevy <[email-masked]>
Date: Sun, 06 May 2012 17:04:18 +0300

> Given the prior eample for the acl, fs_layout_type is just as valid as fs_layout_types.

Just that ACL is a (singular) access control *list* by name so it's much less confusing.

> So I'm leaning to not changing anything.

I see your point, either way we end up with an inconsistency.
The best of the worst is probably leaving it as is to match the attr name rather than the typedef.

Benny